Package org.eclipse.graphiti.tb

## Class ShapeSelectionInfoImpl

- java.lang.Object
- - org.eclipse.graphiti.tb.SelectionInfoImpl
  - - org.eclipse.graphiti.tb.ShapeSelectionInfoImpl

All Implemented Interfaces:
  `ISelectionInfo`, `IShapeSelectionInfo`

Direct Known Subclasses:
  `AnchorSelectionInfoImpl`

    public class ShapeSelectionInfoImpl
    extends SelectionInfoImpl
    implements IShapeSelectionInfo

Since:
  0.10

### Constructor Summary

Constructors
`ShapeSelectionInfoImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IColorConstant` `getPrimarySelectionBackgroundColor()` Gets the primary selection background color.
`IColorConstant` `getPrimarySelectionHandleBackgroundColor()` Gets the primary selection background color for the selection handle.
`IColorConstant` `getPrimarySelectionHandleForegroundColor()` Gets the primary selection foreground color for the selection handle.
`IColorConstant` `getSecondarySelectionBackgroundColor()` Gets the secondary selection background color.
`IColorConstant` `getSecondarySelectionHandleBackgroundColor()` Gets the secondary selection background color for the selection handle.
`IColorConstant` `getSecondarySelectionHandleForegroundColor()` Gets the secondary selection foreground color for the selection handle.
`void` `setPrimarySelectionBackgroundColor​(IColorConstant color)` Sets color for primary selection background.
`void` `setPrimarySelectionHandleBackgroundColor​(IColorConstant color)` Sets the primary selection background color for the selection handle.
`void` `setPrimarySelectionHandleForegroundColor​(IColorConstant color)` Sets the primary selection foreground color for the selection handle.
`void` `setSecondarySelectionBackgroundColor​(IColorConstant color)` Sets color for secondary selection background.
`void` `setSecondarySelectionHandleBackgroundColor​(IColorConstant color)` Sets the secondary selection background color for the selection handle.
`void` `setSecondarySelectionHandleForegroundColor​(IColorConstant color)` Sets the secondary selection foreground color for the selection handle.

### Methods inherited from class org.eclipse.graphiti.tb.SelectionInfoImpl

`getColor, getHoverColor, getHoverColorParentSelected, getLineStyle, setColor, setHoverColor, setHoverColorParentSelected, setLineStyle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.tb.ISelectionInfo

`getColor, getHoverColor, getHoverColorParentSelected, getLineStyle, setColor, setHoverColor, setHoverColorParentSelected, setLineStyle`

### Constructor Detail

#### ShapeSelectionInfoImpl

    public ShapeSelectionInfoImpl()

### Method Detail

#### getPrimarySelectionBackgroundColor

    public IColorConstant getPrimarySelectionBackgroundColor()

Description copied from interface: `IShapeSelectionInfo`
Gets the primary selection background color. Only used if no Rendering style is set.

Specified by:
  `getPrimarySelectionBackgroundColor` in interface `IShapeSelectionInfo`
Returns:
  the primary selection background color

#### getSecondarySelectionBackgroundColor

    public IColorConstant getSecondarySelectionBackgroundColor()

Description copied from interface: `IShapeSelectionInfo`
Gets the secondary selection background color. Only used if no Rendering style is set.

Specified by:
  `getSecondarySelectionBackgroundColor` in interface `IShapeSelectionInfo`
Returns:
  the secondary selection background color

#### setPrimarySelectionBackgroundColor

    public void setPrimarySelectionBackgroundColor​(IColorConstant color)

Description copied from interface: `IShapeSelectionInfo`
Sets color for primary selection background. Only used if no Rendering style is set.

Specified by:
  `setPrimarySelectionBackgroundColor` in interface `IShapeSelectionInfo`
Parameters:
  `color` - the color

#### setSecondarySelectionBackgroundColor

    public void setSecondarySelectionBackgroundColor​(IColorConstant color)

Description copied from interface: `IShapeSelectionInfo`
Sets color for secondary selection background. Only used if no Rendering style is set.

Specified by:
  `setSecondarySelectionBackgroundColor` in interface `IShapeSelectionInfo`
Parameters:
  `color` - the color

#### getPrimarySelectionHandleForegroundColor

    public IColorConstant getPrimarySelectionHandleForegroundColor()

Description copied from interface: `IShapeSelectionInfo`
Gets the primary selection foreground color for the selection handle.

Specified by:
  `getPrimarySelectionHandleForegroundColor` in interface `IShapeSelectionInfo`
Returns:
  the foreground color

#### getPrimarySelectionHandleBackgroundColor

    public IColorConstant getPrimarySelectionHandleBackgroundColor()

Description copied from interface: `IShapeSelectionInfo`
Gets the primary selection background color for the selection handle.

Specified by:
  `getPrimarySelectionHandleBackgroundColor` in interface `IShapeSelectionInfo`
Returns:
  the background color

#### getSecondarySelectionHandleForegroundColor

    public IColorConstant getSecondarySelectionHandleForegroundColor()

Description copied from interface: `IShapeSelectionInfo`
Gets the secondary selection foreground color for the selection handle.

Specified by:
  `getSecondarySelectionHandleForegroundColor` in interface `IShapeSelectionInfo`
Returns:
  the foreground color

#### getSecondarySelectionHandleBackgroundColor

    public IColorConstant getSecondarySelectionHandleBackgroundColor()

Description copied from interface: `IShapeSelectionInfo`
Gets the secondary selection background color for the selection handle.

Specified by:
  `getSecondarySelectionHandleBackgroundColor` in interface `IShapeSelectionInfo`
Returns:
  the background color

#### setPrimarySelectionHandleForegroundColor

    public void setPrimarySelectionHandleForegroundColor​(IColorConstant color)

Description copied from interface: `IShapeSelectionInfo`
Sets the primary selection foreground color for the selection handle.

Specified by:
  `setPrimarySelectionHandleForegroundColor` in interface `IShapeSelectionInfo`
Parameters:
  `color` - the color

#### setPrimarySelectionHandleBackgroundColor

    public void setPrimarySelectionHandleBackgroundColor​(IColorConstant color)

Description copied from interface: `IShapeSelectionInfo`
Sets the primary selection background color for the selection handle.

Specified by:
  `setPrimarySelectionHandleBackgroundColor` in interface `IShapeSelectionInfo`
Parameters:
  `color` - the color

#### setSecondarySelectionHandleForegroundColor

    public void setSecondarySelectionHandleForegroundColor​(IColorConstant color)

Description copied from interface: `IShapeSelectionInfo`
Sets the secondary selection foreground color for the selection handle.

Specified by:
  `setSecondarySelectionHandleForegroundColor` in interface `IShapeSelectionInfo`
Parameters:
  `color` - the color

#### setSecondarySelectionHandleBackgroundColor

    public void setSecondarySelectionHandleBackgroundColor​(IColorConstant color)

Description copied from interface: `IShapeSelectionInfo`
Sets the secondary selection background color for the selection handle.

Specified by:
  `setSecondarySelectionHandleBackgroundColor` in interface `IShapeSelectionInfo`
Parameters:
  `color` - the color